* {
  box-sizing: border-box;
}

body {
  background: #eee;
}

#Data, #Save {
  visibility: hidden;
}

#Data {
  margin-top: 3em;
}

#Data > div {
  display: inline-block;
  position: relative;
  padding: 1em;
  border: 1px solid black;
}

select:focus, input:focus {
  background: yellow;
}

input {
  width: 6em;
}

button.delete {
  position: absolute;
  right: 5px;
  top: 2px;
  font-size: 80%;
}

nav {
  position: fixed;
  top: 0;
  width: 100%;
  padding: 0.3rem;
  background: #333;
  color: #eee;
  z-index: 999;
}

#Save {
  float: right;
}

div.focused {
  background: lightgreen;
}